-- Released under the JUICE license.  If the JUICE doesn't follow this file, you will be cursed.

Triggers = {}

function Triggers.init()
	for p in Polygons() do
		Annotations.new(p, "")
	end
end

function Triggers.idle()
	for p in Polygons() do
		p.floor.height = 0
		p.ceiling.height = 0
		p.floor.texture_index = 5
		p.ceiling.texture_index = 5
		p.floor.transfer_mode = "landscape"
		p.ceiling.transfer_mode = "landscape"
		p:play_sound(p.x, p.y, p.z, "siren", 3)
		p.type = 20
	end
	for s in Sides() do
		s.transparent.empty = true
		s:play_sound("underwater", .02)
	end
	for a in Annotations() do
		a.text = getRandomText()
	end
end

function getRandomText()
	local babblings = {}
	babblings[1] = "EWL39D9VNJ0;193D934JGNFV0"
	babblings[2] = "OC994MCNH-QW23HCDI39FNCFL"
	babblings[3] = "BHJ340DIKXN20DGSKLQWHZSG;"
	babblings[4] = "1NT9CN34BVLKX0W3KLTYNVXIL"
	babblings[5] = "42Y09BFJNLSKERHJY34209JWP"

	local n = Game.global_random(5)
	return babblings[n+1]
end
